3

I use terminator all the time and would like to get it working again. The issue may be with updating my system. I recently updated things to use a wacom tablet and installed some drivers.

I read other threads about the python version not being correct, but that does not seem to be the case. The python version from which python returns python version 2.7.12.

The global config file is also not the problem because I created one and put it in the location ~/.config/terminator/config.

Already tried purge and reinstall many times. I did add the ppa to the repository

When I start terminator from terminal this is the error:

:~/.config/terminator$ terminator
Traceback (most recent call last):
  File "/usr/bin/terminator", line 122, in <module>
    TERMINATOR.create_layout(OPTIONS.layout)
  File "/usr/share/terminator/terminatorlib/terminator.py", line 311, in create_layout
    window, terminal = self.new_window()
  File "/usr/share/terminator/terminatorlib/terminator.py", line 234, in new_window
    terminal = maker.make('Terminal')
  File "/usr/share/terminator/terminatorlib/factory.py", line 94, in make
    output = func(**kwargs)
  File "/usr/share/terminator/terminatorlib/factory.py", line 106, in make_terminal
    return(terminal.Terminal())
  File "/usr/share/terminator/terminatorlib/terminal.py", line 147, in __init__
    self.update_url_matches()
  File "/usr/share/terminator/terminatorlib/terminal.py", line 273, in update_url_matches
    reg = Vte.Regex.new_for_match(re, len(re), self.regex_flags)
  File "/usr/lib/python2.7/dist-packages/gi/module.py", line 139, in __getattr__
    self.__name__, name))
AttributeError: 'gi.repository.Vte' object has no attribute 'Regex'
  • My guess is you're using 16.04; however it's better if we are told rather than having to guess (packages.ubuntu.com/…) What do you get for python -V; python3 -V (I gather from your info you'll get 2.7.12 for the first, but please re-try) and confirm your release. – guiverc Apr 7 at 5:16
  • Release is ubuntu 16.04, respectively those two commands gave python 2.7.12, python 3.5.2 – debo Apr 7 at 6:03
  • I installed an old version and compiled it from the source, it opens as normal, but I no longer have an icon for it. Is there a simple way to make one? Can this be done using a desktop launcher? – debo Apr 9 at 21:35
0

I also face the same issue when I update to the latest one. In Ubuntu 16.04 and python2.7.12

For now, use the below release that is working fine for me.
terminator_1.91-0~1817~ubuntu18.10.1_all.deb

And let's wait for another release with this bug fixes.

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.